Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign.tracking.events
Class DisplayCampaignEvent

    java.lang.Object
      com.bea.p13n.property.AbstractConfigurableEntity
          com.bea.p13n.events.Event
              com.bea.p13n.tracking.events.TrackingEvent
                  com.bea.p13n.tracking.events.ContentEvent
                      com.bea.campaign.tracking.events.DisplayCampaignEvent

All Implemented Interfaces
  EventConstants, ConfigurableEntity, Serializable

    public class DisplayCampaignEvent

extends ContentEvent

Event for tracking display of campaign

See Also
  Serialized Form

Field Summary
`static String` | `APPLICATION_NAME` Event attribute key name for storefront (aka application) Attribute value is a String
`static String` | `BANNER_AD_PROMOTION` Suggestions for entry into the documentType data passed to the constructor Attribute value is a String
`static String` | `CAMPAIGN_ID` Event attribute key name for the campaign id Attribute value is a String
`static String` | `PLACEHOLDER_ID` Event attribute key name for item category id Attribute value is a String
`static String` | `SCENARIO_ID` Event attribute key name for the scenario id Attribute value is a String
`static String` | `TYPE` The event type

Fields inherited from class com.bea.p13n.tracking.events.ContentEvent
`DOCUMENT_ID, DOCUMENT_TYPE`

Fields inherited from class com.bea.p13n.tracking.events.TrackingEvent
`REQUEST, SESSION_ID, USER_ID, USER_TYPE`

Fields inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`CE_METHOD_CACHE, instanceClass, PREFIX_GET, PREFIX_SET, propertyCache, textFormatter`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Fields inherited from interface com.bea.p13n.events.EventConstants
`TYPE_ALL`

Constructor Summary
`DisplayCampaignEvent(javax.servlet.http.HttpSession session, javax.servlet.http.HttpServletRequest theRequest, String aDocumentType, String aDocumentId, String aCampaignId, String aScenarioId, String aApplicationName, String aPlaceholderId)` Create a new DisplayCampaignEvent.
`DisplayCampaignEvent(String theSessionId, String theUserId, javax.servlet.http.HttpServletRequest theRequest, String aDocumentType, String aDocumentId, String aCampaignId, String aScenarioId, String aApplicationName, String aPlaceholderId)` Deprecated

Method Summary

Methods inherited from class com.bea.p13n.tracking.events.TrackingEvent
`getSchemaKeys, getSession, getXMLNamespace, getXSDFile, setSchemaKeys, setSession, setXMLNamespace, setXSDFile`

Methods inherited from class com.bea.p13n.events.Event
`getApplication, getAttribute, getAttributeNames, getProperty, getTimeStamp, getType, removeAttribute, setApplication, setAttribute, toString`

Methods inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`createMapKey, getCachedProperty, getExplicitProperty, getExplicitSetter, getImplicitProperty, getJndiName, getPkString, getPropertyAsString, getPropertyCache, getPropertyNoDefault, getUniqueId, hasExplicitGetter, hasExplicitSetter, removeExplicitProperty, removeProperty, setExplicitProperty, setProperty, upcaseFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Field Detail

### TYPE

    public static final String TYPE

  The event type

  See Also
    Constants Summary

### CAMPAIGN_ID

    public static final String CAMPAIGN_ID

  Event attribute key name for the campaign id Attribute value is a String

  See Also
    Constants Summary

### SCENARIO_ID

    public static final String SCENARIO_ID

  Event attribute key name for the scenario id Attribute value is a String

  See Also
    Constants Summary

### APPLICATION_NAME

    public static final String APPLICATION_NAME

  Event attribute key name for storefront (aka application) Attribute value is a String

  See Also
    Constants Summary

### PLACEHOLDER_ID

    public static final String PLACEHOLDER_ID

  Event attribute key name for item category id Attribute value is a String

  See Also
    Constants Summary

### BANNER_AD_PROMOTION

    public static final String BANNER_AD_PROMOTION

  Suggestions for entry into the documentType data passed to the constructor Attribute value is a String

  See Also
    Constants Summary

Constructor Detail

### DisplayCampaignEvent

    public DisplayCampaignEvent(javax.servlet.http.HttpSession session,
                                javax.servlet.http.HttpServletRequest theRequest,
                                String aDocumentType,
                                String aDocumentId,
                                String aCampaignId,
                                String aScenarioId,
                                String aApplicationName,
                                String aPlaceholderId)

  Create a new DisplayCampaignEvent.

  Parameters
    `theSessionId` - from HttpSession.getId()
    `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown)
    `theRequest` - the http servlet request object
    `aDocumentType` - Document Type for the displayed content (optionally null)
    `aDocumentId` - Document ID for the displayed content (optionally null)
    `aCampaignId` - campaign id for the campaign from which the item was displayed
    `aScenarioId` - scenario id for the scenario (within the campaign) for which the item was displayed
    `aApplicationName` - application name (Storefront) (optionally null)
    `aPlaceholderId` - a placeholder id

### DisplayCampaignEvent

    public DisplayCampaignEvent(String theSessionId,
                                String theUserId,
                                javax.servlet.http.HttpServletRequest theRequest,
                                String aDocumentType,
                                String aDocumentId,
                                String aCampaignId,
                                String aScenarioId,
                                String aApplicationName,
                                String aPlaceholderId)

  Deprecated

  Create a new DisplayCampaignEvent.

  Parameters
    `theSessionId` - from HttpSession.getId()
    `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown)
    `theRequest` - the http servlet request object
    `aDocumentType` - Document Type for the displayed content (optionally null)
    `aDocumentId` - Document ID for the displayed content (optionally null)
    `aCampaignId` - campaign id for the campaign from which the item was displayed
    `aScenarioId` - scenario id for the scenario (within the campaign) for which the item was displayed
    `aApplicationName` - application name (Storefront) (optionally null)
    `aPlaceholderId` - a placeholder id

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved